Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Delete a contact by contact key

DELETE
/api/v3/contacts/keyed/{contactKey}
curl --request DELETE \
--url https://api.tryletterhead.com/api/v3/contacts/keyed/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "api": true }'

Same as Delete a contact (DELETE /api/v3/contacts/{email}), with the contact addressed by its contactKey instead of its email address. This cannot be undone.

This is a company-level (v3) write. Authenticate with a company API key as a Bearer token.

contactKey
required
string

The contact’s opaque 64-character hex key (from a prior response’s contactKey field).

Media type application/json
object
api
required

Required. Set to true to authenticate with an API key.

boolean
Example
{
"api": true
}

Contact deleted.

Media type application/json
object
items
Array
message
string
total
integer
Example
{
"items": [],
"message": "Contact deleted.",
"total": 0
}

Still can’t find what you need? Contact support.